# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Fri Apr 30 19:03:31 2021
# ------------------------------------------------

package:
  name: r-geogrid
  version: 0.1.1
source:
  sha256: 07c54dac348200b5dc4c610fce643d672f1e273ebe8802bff9a6f4241f770a2d
  url:
    - https://cran.r-project.org/src/contrib/Archive/geogrid/geogrid_0.1.1.tar.gz
    - https://cran.r-project.org/src/contrib/geogrid_0.1.1.tar.gz
build:
  merge_build_host: true
  number: '1'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r40ha856d6a_1
requirements:
  build:
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-filesystem 2016.04 4
    - m2-gcc-libs 5.3.0 4
    - m2-gmp 6.1.0 3
    - m2-libbz2 1.0.6 3
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-make 4.1 5
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-sed 4.2.2 3
    - m2-zip 3.0 2
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
  host:
    - _r-mutex 1.0.1 anacondar_1
    - expat 2.3.0 h39d44d4_0
    - geos 3.9.1 h39d44d4_2
    - intel-openmp 2021.2.0 h57928b3_616
    - libblas 3.9.0 8_mkl
    - liblapack 3.9.0 8_mkl
    - m2w64-bwidget 1.9.10 2
    - m2w64-bzip2 1.0.6 6
    - m2w64-expat 2.1.1 2
    - m2w64-fftw 3.3.4 6
    - m2w64-flac 1.3.1 3
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gettext 0.19.7 2
    - m2w64-gmp 6.1.0 2
    - m2w64-gsl 2.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libjpeg-turbo 1.4.2 3
    - m2w64-libogg 1.3.2 3
    - m2w64-libpng 1.6.21 2
    - m2w64-libsndfile 1.0.26 2
    - m2w64-libtiff 4.0.6 2
    - m2w64-libvorbis 1.3.5 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-libxml2 2.9.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pcre2 10.34 0
    - m2w64-speex 1.2rc2 3
    - m2w64-speexdsp 1.2rc3 3
    - m2w64-tcl 8.6.5 3
    - m2w64-tk 8.6.5 3
    - m2w64-tktable 2.10 5
    - m2w64-wineditline 2.101 5
    - m2w64-xz 5.2.2 2
    - m2w64-zlib 1.2.8 10
    - mkl 2020.4 hb70f87d_311
    - msys2-conda-epoch 20160418 1
    - r-base 4.0.3 hddad469_8
    - r-class 7.3_18 r40h6d2157b_0
    - r-classint 0.4_3 r40h87ffe87_2
    - r-dbi 1.1.1 r40hc72bb7e_0
    - r-e1071 1.7_6 r40ha856d6a_0
    - r-kernsmooth 2.23_18 r40h090b817_0
    - r-lattice 0.20_41 r40h6d2157b_3
    - r-magrittr 2.0.1 r40h6d2157b_1
    - r-mass 7.3_53.1 r40h6d2157b_0
    - r-proxy 0.4_25 r40h6d2157b_0
    - r-rcpp 1.0.6 r40ha856d6a_0
    - r-rcpparmadillo 0.10.4.0.0 r40h399f8d5_0
    - r-rgeos 0.5_5 r40h133a03e_2
    - r-sf 0.9_8 r40ha856d6a_0
    - r-sp 1.4_5 r40h6d2157b_0
    - r-units 0.7_1 r40ha856d6a_0
    - udunits2 2.2.27.27 he38c35c_1
    - vc 14.2 hb210afc_4
    - vs2015_runtime 14.28.29325 h5e1d092_4
  run:
    - m2w64-gcc-libs
    - r-base >=4.0,<4.1.0a0
    - r-rcpp
    - r-rcpparmadillo
    - r-rgeos
    - r-sf
    - r-sp
test:
  commands:
    - '"%R%" -e "library(''geogrid'')"'
about:
  home: https://github.com/jbaileyh/geogrid
  license: MIT
  license_family: MIT
  license_file:
    - D:\bld\r-geogrid_1619809647166\_h_env/lib/R/share/licenses/MIT
    - LICENSE
  summary: Turn irregular polygons (such as geographical regions) into regular or
    hexagonal grids. This package enables the generation of regular (square) and hexagonal
    grids through the package 'sp' and then assigns the content of the existing polygons
    to the new grid using the Hungarian algorithm, Kuhn (1955) (<doi:10.1007/978-3-540-68279-0_2>).
    This prevents the need for manual generation of hexagonal grids or regular grids
    that are supposed to reflect existing geography.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - RyanHackney
    - conda-forge/r
    - mxr-conda
    - ndmaxar
    - oblute
    - rluria14
